PETSc version 3.15.5
Fix/Edit manual page

# PetscSFCreateSectionSF

Create an expanded SF of dofs, assuming the input SF relates points

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreateSectionSF(PetscSF sf, PetscSection rootSection, PetscInt remoteOffsets[], PetscSection leafSection, PetscSF *sectionSF)

Collective on sf

### Input Parameters

| sf | - The SF
| rootSection | - Data layout of remote points for outgoing data (this is usually the serial section)
| remoteOffsets | - Offsets for point data on remote processes (these are offsets from the root section), or NULL
| leafSection | - Data layout of local points for incoming data (this is the distributed section)

### Output Parameters

| sectionSF | - The new SF

Note: Either rootSection or remoteOffsets can be specified

### See Also

PetscSFCreate()

### Level

advanced

### Location

src/vec/is/sf/utils/sfutils.c
Index of all SF routines
Table of Contents for all manual pages
Index of all manual pages